STRINGS(1)

NAZWA
strings - print the sequences of printable characters in files

SKŁADNIA
strings [-afovV] [-min-len]
        [-n min-len] [--bytes=min-len]
        [-t radix] [--radix=radix]
        [-e encoding] [--encoding=encoding]
        [-U method] [--unicode=method]
        [-] [--all] [--print-file-name]
        [-T bfdname] [--target=bfdname]
        [-w] [--include-all-whitespace]
        [-s] [--output-separator sep_string]
        [--help] [--version] file...

OPIS
Dla każdego podanego pliku, GNU strings wyświetla drukowalne sekwencje znaków, mające co najmniej 4 znaki długości (lub liczbę podaną przez opcje opisane niżej), za którymi występuje znak niedrukowalny.

W zależności od tego, jak program strings został skonfigurowany, domyślnie będzie wyświetlał albo wszystkie sekwencje drukowalnych znaków znajdujące się w każdym z plików, albo tylko te sekwencje, które znajdują się w ładowalnych i zainicjowanych sekcjach danych. Jeśli nie można rozpoznać typu pliku lub gdy strings czyta ze standardowego wejścia, to zawsze będzie wyświetlał wszystkie znalezione sekwencje drukowalnych znaków.

W celu zachowania zgodności z poprzednimi wersjami każdy plik, który występuje po opcji - linii poleceń zostanie także całkowicie przeszukany, niezależnie od tego, czy występuje jakakolwiek opcja -d.

strings jest przydatny do określania zawartości nietekstowych plików.

OPCJE

-a
--all
-   Czyta cały plik, niezależnie od tego, jakie sekcje zawiera, ani od tego, czy te sekcje są załadowane lub zainicjowane. Zazwyczaj jest do zachowanie domyślne, ale strings może być skonfigurowany w ten sposób, że domyślną opcją jest -d.

    Opcja - zależy od pozycji i wymusza na programie strings przeprowadzanie pełnych wyszukiwań w każdym z plików występujących w linii poleceń po -, nawet jeśli podano również opcję -d.

-d
--data
    Wyświetla tylko łańcuchy znaków z zainicjowanych i ładowalnych sekcji pliku. Opcja ta pozwala na zmniejszenie ilości śmieci wyświetlanych na wyjściu, ale także naraża program strings na wszystkie zagrożenia bezpieczeństwa, które mogą być obecne w bibliotece BFD używanej do znajdowania i ładowania sekcji. Strings może być tak skonfigurowany, że ta opcja jest domyślnym zachowaniem. W takim przypadku za pomocą opcji -a można wyłączyć używanie biblioteki BFD i zamiast tego wypisać wszystkie łańcuchy znaków znalezione w pliku.

-f
--print-file-name
    Wyświetla nazwę pliku przed każdym łańcuchem znaków.

--help
    Wypisuje sposób użycia programu i kończy pracę.

-min-len
-n min-len
--bytes=min-len
    Print sequences of displayable characters that are at least min-len characters long. If not specified a default minimum length of 4 is used. The distinction between displayable and non-displayable characters depends upon the setting of the -e and -U options. Sequences are always terminated at control characters such as new-line and carriage-return, but not the tab character.

-o  To samo, co -t o. Niektóre inne wersje strings mają -o, które działa jak -t d, a nie jak -t o. Ponieważ nie możemy zapewnić zgodności z oboma znaczeniami, po prostu wybraliśmy jedno z nich.

-t radix
--radix=radix
    Drukuje offset w pliku przed każdym łańcuchem. Pojedynczy argument znakowy określa format offsetu: o - ósemkowy, x - szesnastkowy, d - dziesiętny.

-e kodowanie
--encoding=kodowanie
    Wybiera kodowanie znaków dla znalezionych łańcuchów. Możliwe wartości kodowania to: s - pojedyncze znaki 7-bitowe (ASCII, ISO 8859, itp., jest kodowanie domyślne), S - pojedyncze znaki 8-bitowe, b - 16-bitowe, big endian, l = 16-bitowe, little endian, B - 32-bitowe, big endian, L - 32-bitowe, little endian. Opcja te jest przydatna do wyszukiwania łańcuchów stworzonych z szerokich znaków (l oraz b aplikują się na przykład do kodowań Unicode UTF-16/UCS-2).

-U [d|i|l|e|x|h]
--unicode=[default|invalid|locale|escape|hex|highlight]
    Controls the display of UTF-8 encoded multibyte characters in strings. The default (--unicode=default) is to give them no special treatment, and instead rely upon the setting of the --encoding option. The other values for this option automatically enable --encoding=S.

    The --unicode=invalid option treats them as non-graphic characters and hence not part of a valid string. All the remaining options treat them as valid string characters.

    The --unicode=locale option displays them in the current locale, which may or may not support UTF-8 encoding. The --unicode=hex option displays them as hex byte sequences enclosed between <> characters. The --unicode=escape option displays them as escape sequences (\uxxxx) and the --unicode=highlight option displays them as escape sequences highlighted in red (if supported by the output device). The colouring is intended to draw attention to the presence of unicode sequences where they might not be expected.

-T nazwabfd
--target=nazwabfd
    Podaje format kodu obiektowego inny niż domyślny format w systemie, na którym jest uruchomiony strings.

-v
-V
--version
    Wyświetla numer wersji programu na standardowe wyjście i kończy działanie.

-w
--include-all-whitespace
    Domyślnie wyjściowe łańcuchy mogą zawierać znaki spacji i tabulacji, ale nie inne białe znaki, jak na przykład znaki nowej linii i powrotu karetki. Opcja -w pozwala na to, by wszystkie białe znaki były uważane za część łańcucha znaków.

-s
--output-separator
    Domyślnie wyjściowe łańcuchy znaków są rozdzielane znakami nowej linii. Ta opcja pozwala na podanie dowolnego łańcucha znaków, który będzie użyty jako separator rekordów wyjściowych. Użyteczne z opcją --include-all-whitespace, które może wypisywać łańcuchy znaków już zawierające znaki nowej linii.

@plik
    Czyta opcje linii poleceń z podanego pliku. Przeczytane opcje są wstawiane w miejsce oryginalnej opcji @plik. Jeśli plik nie istnieje lub nie może być odczytany ta opcja jest traktowana dosłownie i nie jest usuwana.

    Opcje w pliku są rozdzielane białymi znakami. Biały znak może wystąpić w opcji, jeśli cała opcja zostanie ujęta w pojedyncze albo podwójne cudzysłowy. Można dodać dowolny znak (włączając w to znak odwrotnego ukośnika), poprzedzając go znakiem odwrotnego ukośnika. Plik może również zawierać dodatkowe opcje @plik - w takim przypadku każda z takich opcji będzie przetwarzana rekurencyjnie.

ZOBACZ TAKŻE
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) oraz wpisy info binutils.

PRAWA AUTORSKIE
Copyright (c) 1991-2022 Free Software Foundation, Inc.

Zezwala się na kopiowanie, rozpowszechnianie i/lub modyfikowanie tego dokumentu na warunkach Licencji Wolnej Dokumentacji GNU (GNU Free Documentation License) w wersji 1.3 lub jakiejkolwiek nowszej wersji opublikowanej przez Fundację Wolnego Oprogramowania, przy czym Sekcjami niezmiennymi są "GNU General Public License" i "GNU Free Documentation License", bez treści przedniej lub tylnej strony okładki. Egzemplarz licencji zamieszczono w sekcji zatytułowanej "GNU Free Documentation License".

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.